diff --git a/src/core/Project.cpp b/src/core/Project.cpp
index 7a3d4d89..52aaa925 100755
--- a/src/core/Project.cpp
+++ b/src/core/Project.cpp
@@ -59,12 +59,12 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 
 /**	\class Project
 	\brief Project restores and saves the state of a Traverso Project
-	
+
 	A Project can have as much Sheet's as one likes. A Project with one Sheet acts like a 'Session'
 	where the Sheet can be turned into a CD with various Tracks using Marker 's
 	When a Project has multiple Sheet's, each Sheet will be a CD Track, this can be usefull if each
 	Track on a CD is independend of the other CD Tracks.
- 
+
  */
 
 
@@ -146,19 +146,19 @@ int Project::create(int sheetcount, int numtracks)
 		info().critical(tr("Cannot create dir %1").arg(m_rootDir));
 		return -1;
 	}
-	
+
 	if (create_peakfiles_dir() < 0) {
 		return -1;
 	}
-	
+
 	if (create_audiosources_dir() < 0) {
 		return -1;
 	}
-	
+
 	if (pm().create_projectfilebackup_dir(m_rootDir) < 0) {
 		return -1;
 	}
-	
+
 	for (int i=0; i< sheetcount; i++) {
 		Sheet* sheet = new Sheet(this, numtracks);
         m_RtSheets.append(sheet);
@@ -168,7 +168,7 @@ int Project::create(int sheetcount, int numtracks)
 	if (m_sheets.size()) {
                 set_current_session(m_sheets.first()->get_id());
 	}
-	
+
 	m_id = create_id();
 	m_importDir = QDir::homePath();
 
@@ -191,7 +191,7 @@ int Project::create_audiosources_dir()
 		info().critical(tr("Cannot create dir %1").arg(m_sourcesDir));
 		return -1;
 	}
-	
+
 	return 1;
 
 }
@@ -205,7 +205,7 @@ int Project::create_peakfiles_dir()
 		info().critical(tr("Cannot create dir %1").arg(peaksDir));
 		return -1;
 	}
-	
+
 	return 1;
 }
 
@@ -214,10 +214,10 @@ int Project::load(const QString& projectfile)
 {
 	PENTER;
 	QDomDocument doc("Project");
-	
+
 	QFile file;
 	QString filename;
-	
+
 	if (projectfile.isEmpty()) {
 		filename = m_rootDir + "/project.tpf";
 		file.setFileName(filename);
@@ -231,7 +231,7 @@ int Project::load(const QString& projectfile)
 		info().critical(m_errorString);
 		return PROJECT_FILE_COULD_NOT_BE_OPENED;
 	}
-	
+
 	// Check if important directories still exist!
 	QDir dir;
 	if (!dir.exists(m_rootDir + "/peakfiles")) {
@@ -241,7 +241,7 @@ int Project::load(const QString& projectfile)
 		create_audiosources_dir();
 	}
 
-	
+
 	// Start setting and parsing the content of the xml file
 	QString errorMsg;
 	if (!doc.setContent(&file, &errorMsg)) {
@@ -249,13 +249,13 @@ int Project::load(const QString& projectfile)
 		info().critical(m_errorString);
 		return SETTING_XML_CONTENT_FAILED;
 	}
-	
+
         emit projectLoadStarted();
 
 	QDomElement docElem = doc.documentElement();
 	QDomNode propertiesNode = docElem.firstChildElement("Properties");
 	QDomElement e = propertiesNode.toElement();
-	
+
 	if (e.attribute("projectfileversion", "-1").toInt() != PROJECT_FILE_VERSION) {
 		m_errorString = tr("Project File Version does not match, unable to load Project!");
 		info().warning(m_errorString);
@@ -279,7 +279,7 @@ int Project::load(const QString& projectfile)
 	if (m_id == 0) {
 		m_id = create_id();
 	}
-	m_importDir = e.attribute("importdir", QDir::homePath()); 
+	m_importDir = e.attribute("importdir", QDir::homePath());
 
 
 
@@ -446,7 +446,7 @@ int Project::load(const QString& projectfile)
         }
 
         info().information( tr("Project %1 loaded").arg(m_name) );
-	
+
 	emit projectLoadFinished();
 
         return 1;
@@ -506,7 +506,7 @@ int Project::save(bool autosave)
 	PENTER;
 	QDomDocument doc("Project");
 	QString fileName = m_rootDir + "/project.tpf";
-	
+
 	QFile data( fileName );
 
 	if (!data.open( QIODevice::WriteOnly ) ) {
@@ -514,16 +514,16 @@ int Project::save(bool autosave)
 		info().critical( tr("Couldn't open Project properties file for writing! (File %1. Reason: %2)").arg(fileName).arg(errorstring) );
 		return -1;
 	}
-	
+
 	get_state(doc);
 	QTextStream stream(&data);
 	doc.save(stream, 4);
 	data.close();
-	
+
 	if (!autosave) {
 		info().information( tr("Project %1 saved ").arg(m_name) );
 	}
-	
+
         pm().start_incremental_backup(this);
 
 	return 1;
@@ -533,7 +533,7 @@ int Project::save(bool autosave)
 QDomNode Project::get_state(QDomDocument doc, bool istemplate)
 {
 	PENTER;
-	
+
 	QDomElement projectNode = doc.createElement("Project");
 	QDomElement properties = doc.createElement("Properties");
 
@@ -559,7 +559,7 @@ QDomNode Project::get_state(QDomDocument doc, bool istemplate)
 		properties.setAttribute("title", "Template Project File!!");
 	}
 	properties.setAttribute("importdir", m_importDir);
-		
+
 	projectNode.appendChild(properties);
 
 
@@ -647,7 +647,7 @@ QDomNode Project::get_state(QDomDocument doc, bool istemplate)
 
         projectNode.appendChild(workSheetsNode);
 
-	
+
 	return projectNode;
 }
 
@@ -666,7 +666,7 @@ void Project::prepare_audio_device(QDomDocument doc)
 //        ads.jackChannels.append(m_softwareAudioChannels.values());
 
         if (ads.driverType.isEmpty() || ads.driverType.isNull()) {
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
                 ads.driverType = config().get_property("Hardware", "drivertype", "ALSA").toString();
 #else
                 ads.driverType = config().get_property("Hardware", "drivertype", "PortAudio").toString();
@@ -700,11 +700,11 @@ void Project::prepare_audio_device(QDomDocument doc)
 #if defined (PORTAUDIO_SUPPORT)
         if (ads.driverType == "PortAudio") {
                 if (ads.cardDevice.isEmpty()) {
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
                         ads.cardDevice = config().get_property("Hardware", "pahostapi", "alsa").toString();
-#elif defined (Q_WS_MAC)
+#elif defined (Q_OS_MAC)
                         ads.cardDevice = config().get_property("Hardware", "pahostapi", "coreaudio").toString();
-#elif defined (Q_WS_WIN)
+#elif defined (Q_OS_WIN)
                         ads.cardDevice = config().get_property("Hardware", "pahostapi", "wmme").toString();
 #endif
                 }
@@ -726,7 +726,7 @@ int Project::disconnect_from_audio_device()
         int count = 0;
         while(m_audiodeviceClient->is_connected()) {
                 printf("Project: Waiting to be disconnected from Audio Device\n");
-#if defined (Q_WS_WIN)
+#if defined (Q_OS_WIN)
                 Sleep(20);
 #else
                 usleep(20 * 1000);
@@ -981,35 +981,35 @@ void Project::set_title(const QString& title)
 		// do nothing if the title is the same as the current one
 		return;
 	}
-	
+
 	if (pm().project_exists(title)) {
 		info().critical(tr("Project with title '%1' allready exists, not setting new title!").arg(title));
 		return;
 	}
-	
+
 	QString newrootdir = config().get_property("Project", "directory", "/directory/unknown/").toString() + "/" + title;
-	
+
 	QDir dir(m_rootDir);
-	
+
 	if ( ! dir.exists() ) {
-		info().critical(tr("Project directory %1 no longer exists, did you rename it? " 
+		info().critical(tr("Project directory %1 no longer exists, did you rename it? "
 				"Shame on you! Please undo that, and come back later to rename your Project...").arg(m_rootDir));
 		return;
 	}
-	
+
 	m_name = title;
-	
+
 	save();
-	
+
 	if (pm().rename_project_dir(m_rootDir, newrootdir) < 0 ) {
 		return;
 	}
-	
+
     QMessageBox::information( nullptr,
-			tr("Traverso - Information"), 
+			tr("Traverso - Information"),
 			tr("Project title changed, Project will to be reloaded to ensure proper operation"),
 			QMessageBox::Ok);
-	
+
 	pm().load_renamed_project(m_name);
 }
 
@@ -1072,13 +1072,13 @@ bool Project::has_changed()
 TCommand* Project::add_sheet(Sheet* sheet, bool historable)
 {
 	PENTER;
-	
+
 	AddRemove* cmd;
     cmd = new AddRemove(this, sheet, historable, nullptr,
                 "private_add_sheet(Sheet*)", "privateSheetAdded(Sheet*)",
                 "private_remove_sheet(Sheet*)", "privateSheetRemoved(Sheet*)",
                 tr("Sheet %1 added").arg(sheet->get_name()));
-	
+
 	return cmd;
 }
 
@@ -1175,16 +1175,16 @@ int Project::export_project(ExportSpecification* spec)
         info().warning(tr("Cannot disconnect from audiodevice. Export will not work"));
         return -1;
     }
-	
+
 	if (!m_exportThread) {
 		m_exportThread = new ExportThread(this);
 	}
-	
+
 	if (m_exportThread->isRunning()) {
 		info().warning(tr("Export already in progress, cannot start it twice!"));
 		return -1;
 	}
-	
+
 	QDir dir(spec->exportdir);
 	if (!spec->exportdir.isEmpty() && !dir.exists()) {
 		if (!dir.mkdir(spec->exportdir)) {
@@ -1192,7 +1192,7 @@ int Project::export_project(ExportSpecification* spec)
 			return -1;
 		}
 	}
-	
+
 	spec->progress = 0;
 	spec->running = true;
 	spec->stop = false;
@@ -1240,27 +1240,27 @@ int Project::start_export(ExportSpecification* spec)
 		spec->resumeTransport = false;
                 spec->resumeTransportLocation = sheet->get_transport_location();
 		sheet->readbuffer = readbuffer;
-		
+
 		if (spec->normalize) {
                         // start one render pass in mode "CALC_NORM_FACTOR"
 			spec->peakvalue = 0.0;
 			spec->renderpass = ExportSpecification::CALC_NORM_FACTOR;
-			
-			
+
+
 			if (sheet->prepare_export(spec) < 0) {
 				PERROR("Failed to prepare sheet for export");
 				continue;
 			}
-			
+
                         sheet->start_export(spec);
-			
+
             spec->normvalue = (1.0f - FLT_EPSILON) / spec->peakvalue;
-			
+
             if (spec->peakvalue > 1.0f) {
 				info().critical(tr("Detected clipping in exported audio! (%1)")
 						.arg(coefficient_to_dbstring(spec->peakvalue)));
 			}
-			
+
 			if (!spec->breakout) {
 				info().information(tr("calculated norm factor: %1").arg(coefficient_to_dbstring(spec->normvalue)));
 			}
@@ -1268,16 +1268,16 @@ int Project::start_export(ExportSpecification* spec)
 
                 // start the real render pass in mode "WRITE_TO_HARDDISK"
 		spec->renderpass = ExportSpecification::WRITE_TO_HARDDISK;
-		
+
                 // first call Sheet::prepare_export()...
 		if (sheet->prepare_export(spec) < 0) {
 			PERROR("Failed to prepare sheet for export");
 			break;
 		}
-		
+
                 // ... then start the render process and wait until it's finished
                 sheet->start_export(spec);
-		
+
 		if (!QMetaObject::invokeMethod(sheet, "set_transport_pos",  Qt::QueuedConnection, Q_ARG(TimeRef, spec->resumeTransportLocation))) {
 			printf("Invoking Sheet::set_transport_pos() failed\n");
 		}
@@ -1296,7 +1296,7 @@ int Project::start_export(ExportSpecification* spec)
 
 	spec->running = false;
 	overallExportProgress = 0;
-	
+
 	delete [] spec->dataF;
 	delete [] readbuffer;
     spec->dataF = nullptr;
@@ -1338,7 +1338,7 @@ int Project::create_cdrdao_toc(ExportSpecification* spec)
 {
 	QList<Sheet* > sheets;
 	QString filename = spec->exportdir;
-	
+
 	if (spec->allSheets) {
                 foreach(Sheet* sheet, m_sheets) {
                         sheets.append(sheet);
@@ -1356,7 +1356,7 @@ int Project::create_cdrdao_toc(ExportSpecification* spec)
                 // filename of the toc file is "sheet-name.toc"
                 filename += spec->basename + ".toc";
         }
-	
+
 	QString output;
 
 	output += "CD_DA\n\n";
@@ -1375,10 +1375,10 @@ int Project::create_cdrdao_toc(ExportSpecification* spec)
 	output += "    MESSAGE \"" + get_message() + "\"\n";
 	output += "    GENRE \"" + QString::number(get_genre()) + "\"\n  }\n}\n\n";
 
-	
+
 	bool pregap = true;
 	spec->renderpass = ExportSpecification::CREATE_CDRDAO_TOC;
-	
+
 	foreach(Sheet* sheet, sheets) {
 		if (sheet->prepare_export(spec) < 0) {
 			return -1;
@@ -1386,7 +1386,7 @@ int Project::create_cdrdao_toc(ExportSpecification* spec)
                 output += sheet->get_timeline()->get_cdrdao_tracklist(spec, pregap);
 		pregap = false; // only add the pregap at the first sheet
 	}
-	
+
 
 	if (spec->writeToc) {
 		spec->tocFileName = filename;
@@ -1400,9 +1400,9 @@ int Project::create_cdrdao_toc(ExportSpecification* spec)
 			file.close();
 		}
 	}
-	
+
 	spec->cdrdaoToc = output;
-	
+
 	return 1;
 }
 
@@ -1412,7 +1412,7 @@ uint Project::get_rate( ) const
 	if (m_useResampling) {
 		return audiodevice().get_sample_rate();
 	}
-	
+
 	return m_rate;
 }
 
@@ -1423,7 +1423,7 @@ uint Project::get_bitdepth( ) const
 
 void Project::set_sheet_export_progress(int progress)
 {
-	overallExportProgress = (progress / sheetsToRender.count()) + 
+	overallExportProgress = (progress / sheetsToRender.count()) +
 			(renderedSheets * (100 / sheetsToRender.count()) );
 
 	emit sheetExportProgressChanged(progress);
@@ -1449,7 +1449,7 @@ int Project::get_sheet_index(qint64 id)
 			return i + 1;
 		}
 	}
-	
+
 	return 0;
 }
 
@@ -1689,7 +1689,7 @@ bool Project::is_save_to_close() const
 {
 	if (is_recording()) {
         QMessageBox::information( nullptr,
-				tr("Traverso - Information"), 
+				tr("Traverso - Information"),
 				tr("You're still recording, please stop recording first to be able to exit the application!"),
 				QMessageBox::Ok);
 		return false;
diff --git a/src/engine/AudioDeviceThread.cpp b/src/engine/AudioDeviceThread.cpp
index 274ae9ca..f465a33a 100644
--- a/src/engine/AudioDeviceThread.cpp
+++ b/src/engine/AudioDeviceThread.cpp
@@ -25,7 +25,7 @@ $Id: AudioDeviceThread.cpp,v 1.21 2007/10/20 17:38:19 r_sijrier Exp $
 #include "AudioDevice.h"
 #include "TAudioDriver.h"
 
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
 #include <dlfcn.h>
 #include <sys/resource.h>
 #include <sched.h>
@@ -52,7 +52,7 @@ public:
 protected:
 	void run() override
 	{
-#if defined (Q_WS_X11) || defined (Q_WS_MAC)
+#if defined (Q_OS_UNIX) || defined (Q_OS_MAC)
 		struct sched_param param;
 		param.sched_priority = 90;
 		if (pthread_setschedparam (pthread_self(), SCHED_FIFO, &param) != 0) {}
@@ -66,7 +66,7 @@ protected:
 			if (guardedThread->watchdogCheck == 0) {
 				qCritical("WatchDog timed out!");
 //				guardedThread->terminate();
-#if defined (Q_WS_X11) || defined (Q_WS_MAC)
+#if defined (Q_OS_UNIX) || defined (Q_OS_MAC)
 				kill (-getpgrp(), SIGABRT);
 #endif
 			}
@@ -90,12 +90,12 @@ void AudioDeviceThread::run()
 {
 	run_on_cpu( 0 );
 
-	
+
 	WatchDogThread watchdog(this);
 	watchdog.start();
 
 	become_realtime(m_realTime);
-	
+
 	if (m_device->m_driver->start() < 0) {
 		watchdog.terminate();
 		watchdog.wait();
@@ -109,7 +109,7 @@ void AudioDeviceThread::run()
 		}
 		watchdogCheck = 1;
 	}
-	
+
 	watchdog.terminate();
 	watchdog.wait();
 }
@@ -118,7 +118,7 @@ void AudioDeviceThread::run()
 int AudioDeviceThread::become_realtime( bool realtime )
 {
 	m_realTime = realtime;
-#if defined (Q_WS_X11) || defined (Q_WS_MAC)
+#if defined (Q_OS_UNIX) || defined (Q_OS_MAC)
 
 	/* RTC stuff */
 	if (realtime) {
@@ -143,18 +143,18 @@ int AudioDeviceThread::become_realtime( bool realtime )
 }
 
 
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
 typedef int* (*setaffinity_func_type)(pid_t,unsigned int,cpu_set_t *);
 #endif
 
 void AudioDeviceThread::run_on_cpu( int cpu )
 {
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
 	void *setaffinity_handle = dlopen(NULL, RTLD_LAZY);// NULL might not be portable to platforms other than linux - tajmorton@gmail.com
-	
+
 	setaffinity_func_type setaffinity_func;
 	setaffinity_func = (setaffinity_func_type) dlsym(setaffinity_handle, "sched_setaffinity");
-	
+
 	if (setaffinity_func != NULL) {
 		cpu_set_t mask;
 		CPU_ZERO(&mask);
@@ -170,4 +170,3 @@ void AudioDeviceThread::run_on_cpu( int cpu )
 	}
 #endif
 }
-
diff --git a/src/plugins/LV2/LV2Plugin.cpp b/src/plugins/LV2/LV2Plugin.cpp
index b6eb4e3c..23307c13 100644
--- a/src/plugins/LV2/LV2Plugin.cpp
+++ b/src/plugins/LV2/LV2Plugin.cpp
@@ -27,7 +27,7 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 #include <AudioDevice.h>
 #include <Utils.h>
 
-#if defined Q_WS_MAC
+#if defined Q_OS_MAC
 	#include <cmath>
 	extern "C" int isnan(double);
 #endif
@@ -79,10 +79,10 @@ LV2Plugin::~LV2Plugin()
 QDomNode LV2Plugin::get_state( QDomDocument doc )
 {
 	QDomElement node = Plugin::get_state(doc).toElement();
-	
+
 	node.setAttribute("type", "LV2Plugin");
 	node.setAttribute("uri", m_pluginUri);
-	
+
 	return node;
 }
 
@@ -90,66 +90,66 @@ QDomNode LV2Plugin::get_state( QDomDocument doc )
 int LV2Plugin::set_state(const QDomNode & node )
 {
 	Plugin::set_state(node);
-	
+
 	QDomElement e = node.toElement();
-	
+
 	m_pluginUri = e.attribute( "uri", "");
-	
+
 	if (create_instance() < 0) {
 		return -1;
 	}
-	
+
 	/* Create control ports */
 	QDomElement controlPortsNode = node.firstChildElement("ControlPorts");
 	if (!controlPortsNode.isNull()) {
 		QDomNode portNode = controlPortsNode.firstChild();
-		
+
 		while (!portNode.isNull()) {
-			
+
 			LV2ControlPort* port = new LV2ControlPort(this, portNode);
 			m_controlPorts.append(port);
-			
+
 			portNode = portNode.nextSibling();
 		}
 	}
-		
-	// Create audio input ports 	
+
+	// Create audio input ports
 	QDomElement audioInputPortsNode = node.firstChildElement("AudioInputPorts");
 	if (!audioInputPortsNode.isNull()) {
 		QDomNode portNode = audioInputPortsNode.firstChild();
-		
+
 		while (!portNode.isNull()) {
 			AudioInputPort* port = new AudioInputPort(this);
 			port->set_state(portNode);
 			m_audioInputPorts.append(port);
-			
+
 			portNode = portNode.nextSibling();
 		}
 	}
-	
+
 	// Create audio ouput ports
 	QDomElement audioOutputPortsNode = node.firstChildElement("AudioOutputPorts");
 	if (!audioOutputPortsNode.isNull()) {
 		QDomNode portNode = audioOutputPortsNode.firstChild();
-		
+
 		while (!portNode.isNull()) {
 			AudioOutputPort* port = new AudioOutputPort(this);
 			port->set_state(portNode);
 			m_audioOutputPorts.append(port);
-			
+
 			portNode = portNode.nextSibling();
 		}
 	}
-	
+
 	/* Activate the plugin instance */
 	lilv_instance_activate(m_instance);
-	
+
 	// The default is 2 channels in - out, if there is only 1 in - out, duplicate
 	// this plugin, and use it on the second channel
 	if (!m_isSlave && m_audioInputPorts.size() == 1 && m_audioOutputPorts.size() == 1) {
 		m_slave = create_copy();
 	}
-	
+
 	return 1;
 }
 
@@ -158,9 +158,9 @@ int LV2Plugin::init()
 {
 	m_num_ports = 0;
     m_ports = nullptr;
-	
+
 	LilvWorld* world = PluginManager::instance()->get_lilv_world();
-	
+
 	/* Set up the port classes this app supports */
 	m_input_class = lilv_new_uri(world, LILV_URI_INPUT_PORT);
 	m_output_class = lilv_new_uri(world, LILV_URI_OUTPUT_PORT);
@@ -190,12 +190,12 @@ int LV2Plugin::init()
 			// Not an audio port, or unrecognized port type
 		}
 	}
-	
+
 	free(default_values);
 
 	/* Activate the plugin instance */
 	lilv_instance_activate(m_instance);
-	
+
 	if (m_audioInputPorts.size() == 0) {
 //		PERROR("Plugin %s has no audio input ports set!!", QS_C(get_name()));
 		return -1;
@@ -205,13 +205,13 @@ int LV2Plugin::init()
 //		PERROR("Plugin %s has no audio output ports set!!", QS_C(get_name()));
 		return -1;
 	}
-	
+
 	// The default is 2 channels in - out, if there is only 1 in - out, duplicate
 	// this plugin, and use it on the second channel
 	if (!m_isSlave && m_audioInputPorts.size() == 1 && m_audioOutputPorts.size() == 1) {
 		m_slave = create_copy();
 	}
-	
+
 	return 1;
 }
 
@@ -224,12 +224,12 @@ int LV2Plugin::create_instance()
 	m_plugin = lilv_plugins_get_by_uri(PluginManager::instance()->get_lilv_plugins(), plugin_uri);
 	lilv_node_free(plugin_uri);
 
-	
+
 	if (! m_plugin) {
 		fprintf(stderr, "Failed to find plugin %s.\n", QS_C(m_pluginUri));
 		return -1;
 	}
-	
+
 	/* Instantiate the plugin */
     uint samplerate = audiodevice().get_sample_rate();
     m_instance = lilv_plugin_instantiate(m_plugin, samplerate, nullptr);
@@ -240,7 +240,7 @@ int LV2Plugin::create_instance()
 	} else {
 // 		printf("Succesfully instantiated plugin.\n\n");
 	}
-	
+
 	return 1;
 }
 
@@ -250,7 +250,7 @@ void LV2Plugin::process(AudioBus* bus, nframes_t nframes)
 	if ( is_bypassed() ) {
 		return;
 	}
-	
+
 	for (int i=0; i<m_audioInputPorts.size(); ++i) {
 		AudioInputPort* port = m_audioInputPorts.at(i);
 		int index = port->get_index();
@@ -258,7 +258,7 @@ void LV2Plugin::process(AudioBus* bus, nframes_t nframes)
 		if (m_isSlave) i = 1;
         lilv_instance_connect_port(m_instance, uint32_t(index), bus->get_buffer(i, nframes));
 	}
-	
+
 	for (int i=0; i<m_audioOutputPorts.size(); ++i) {
 		AudioOutputPort* port = m_audioOutputPorts.at(i);
 		int index = port->get_index();
@@ -266,15 +266,15 @@ void LV2Plugin::process(AudioBus* bus, nframes_t nframes)
 		if (m_isSlave) i = 1;
         lilv_instance_connect_port(m_instance, uint32_t(index), bus->get_buffer(i, nframes));
 	}
-	
+
 	/* Run plugin for this cycle */
 	lilv_instance_run(m_instance, nframes);
-	
+
 	// If we have a slave, and the bus has 2 channels, process the slave too!
 	if (m_slave && bus->get_channel_count() == 2) {
 		m_slave->process(bus, nframes);
-	}	
-	
+	}
+
 }
 
 
@@ -282,7 +282,7 @@ LV2ControlPort* LV2Plugin::create_port(uint32_t portIndex, float defaultValue)
 {
     LV2ControlPort* ctrlport = nullptr;
     const LilvPort* slv2_port = lilv_plugin_get_port_by_index(m_plugin, portIndex);
-	
+
 	PortDirection direction;
         PortType type = UNKNOWN;
 
@@ -470,23 +470,22 @@ PluginInfo LV2Plugin::get_plugin_info(const LilvPlugin* plugin)
 	PluginInfo info;
 	info.name = lilv_node_as_string(lilv_plugin_get_name(plugin));
 	info.uri = lilv_node_as_string(lilv_plugin_get_uri(plugin));
-	
-	
+
+
 	LilvWorld* world = PluginManager::instance()->get_lilv_world();
 	LilvNode* input = lilv_new_uri(world, LILV_URI_INPUT_PORT);
 	LilvNode* output = lilv_new_uri(world, LILV_URI_OUTPUT_PORT);
 	LilvNode* audio = lilv_new_uri(world, LILV_URI_AUDIO_PORT);
-	
+
     info.audioPortInCount = int(lilv_plugin_get_num_ports_of_class(plugin, input, audio, nullptr));
     info.audioPortOutCount = int(lilv_plugin_get_num_ports_of_class(plugin, output, audio, nullptr));
 	info.type = lilv_node_as_string(lilv_plugin_class_get_label(lilv_plugin_get_class(plugin)));
-	
+
 	lilv_node_free(input);
 	lilv_node_free(output);
 	lilv_node_free(audio);
-	
+
 	return info;
 }
 
 //eof
-
diff --git a/src/sheetcanvas/ViewItem.h b/src/sheetcanvas/ViewItem.h
index b0c77309..e1bce2ad 100755
--- a/src/sheetcanvas/ViewItem.h
+++ b/src/sheetcanvas/ViewItem.h
@@ -1,5 +1,5 @@
 /*
-Copyright (C) 2005-2006 Remon Sijrier 
+Copyright (C) 2005-2006 Remon Sijrier
 
 This file is part of Traverso
 
@@ -33,12 +33,12 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 class SheetView;
 
 // Canvas width should be 2^31, but it doesn't work ok
-// 2^30 works ok, so let's use that, still gives a lot 
+// 2^30 works ok, so let's use that, still gives a lot
 // of headroom for real large recordings
-#if ! defined (Q_WS_WIN)
+#if ! defined (Q_OS_WIN)
 #define MAX_CANVAS_WIDTH 1073741824
 #define MAX_CANVAS_HEIGHT 1073741824
-#else		
+#else
 #define MAX_CANVAS_WIDTH 107374182
 #define MAX_CANVAS_HEIGHT 107374182
 #endif
diff --git a/src/traverso/Main.cpp b/src/traverso/Main.cpp
index 820481af..04046114 100755
--- a/src/traverso/Main.cpp
+++ b/src/traverso/Main.cpp
@@ -1,5 +1,5 @@
 /*
-Copyright (C) 2005-2009 Remon Sijrier 
+Copyright (C) 2005-2009 Remon Sijrier
 
 This file is part of Traverso
 
@@ -49,7 +49,7 @@ Traverso* traverso;
 int signalcount = 0;
 
 
-#if defined (Q_WS_X11) || defined (Q_WS_MAC)
+#if defined (Q_OS_UNIX) || defined (Q_OS_MAC)
 void catch_signal(int sig_num)
 {
 	if (!signalcount) {
@@ -70,7 +70,7 @@ int main( int argc, char **argv )
 	TRACE_OFF();
 	MEM_ON();
 
-#if defined (Q_WS_X11) || defined (Q_WS_MAC)
+#if defined (Q_OS_UNIX) || defined (Q_OS_MAC)
 	signal(SIGINT, catch_signal);
 	signal(SIGSEGV, catch_signal);
 #endif
@@ -133,7 +133,7 @@ int main( int argc, char **argv )
 //	QApplication::setGraphicsSystem("raster");
 
 	traverso = new Traverso(argc, argv);
-	
+
 	QTranslator traversoTranslator;
 	QString systemLanguage = QLocale::system().name();
 	QString userLanguage = config().get_property("Interface", "LanguageFile", "").toString();
@@ -143,7 +143,7 @@ int main( int argc, char **argv )
 		traversoTranslator.load(userLanguage);
 	}
 	traverso->installTranslator(&traversoTranslator);
-	
+
         traverso->create_interface();
 
         if (argc > 1) {
@@ -164,7 +164,7 @@ int main( int argc, char **argv )
 
 
 	traverso->exec();
-	
+
 	delete traverso;
 
 	MEM_OFF();
@@ -172,4 +172,3 @@ int main( int argc, char **argv )
 	printf("Thank you for using Traverso !\n");
 	return 0;
 }
-
diff --git a/src/traverso/TMainWindow.cpp b/src/traverso/TMainWindow.cpp
index 186b18f6..28358dd4 100755
--- a/src/traverso/TMainWindow.cpp
+++ b/src/traverso/TMainWindow.cpp
@@ -234,7 +234,7 @@ TMainWindow::TMainWindow()
 //        m_mainMenuToolBar->setStyleSheet("margin-top: 0px; margin-bottom: 0px;");
 	m_mainMenuToolBar->setMovable(false);
 
-#if defined (Q_WS_MAC)
+#if defined (Q_OS_MAC)
 	// OS X is a lot pickier about menu bars. If we don't use
 	// QMainWindow::menuBar(), the menus won't be shown at all.
 	// If possible, I would recommend using the same solution
@@ -265,7 +265,7 @@ TMainWindow::TMainWindow()
 	m_transportConsole = new TransportConsoleWidget(this);
 	m_transportConsole->setObjectName("Transport Console");
 
-#if defined (Q_WS_MAC)
+#if defined (Q_OS_MAC)
 	// this is important only when setUnifiedTitleAndToolBarOnMac() is true,
 	// because in that case the toolbars in the TopToolBarArea can't be moved
 	// and buttons outside the window area are not accessible at all.
@@ -874,7 +874,7 @@ void TMainWindow::create_menus( )
 
 	// if unifiedTitleAndToolBarOnMac == true we don't want the main toolbars
 	// to be hidden. thus only add the menu entries on systems != OS X
-#if !defined (Q_WS_MAC)
+#if !defined (Q_OS_MAC)
 	menu->addAction(m_projectToolBar->toggleViewAction());
 	m_projectToolBar->toggleViewAction()->setText(tr("Project"));
 
